/**
*iSCSI App
* There are different ways implementing an App
*/
var iscsiApp = iscsiApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
iscsiApp.App = function () {
    this.id = 'iSCSI';
    this.name = 'iSCSI';
    this.version = '6.0.16';
    this.active = false;
    this.menuIcon = '/apps/iscsi/images/logo.png?v=6.0.16&';
    this.shortcutIcon = '/apps/iscsi/images/logo.png?v=6.0.16&';
    this.entryUrl = '/apps/iscsi/iscsitarget.html?v=6.0.16&';
    //this.entryHelpUrl = '/apps/iscsi/iscsitarget_help.html?v=6.0.16&';
    var self = this;
    this.iscsiAppWindow = function () { //create app window
        if(UNAS.CheckAppState('iSCSI')){
            return false;
        }
        self.window = new MUI.Window({
            id: 'iscsiAppWindow',
            title: UNAS._('iSCSI'),
            icon: '/apps/iscsi/images/logo_small.png?v=6.0.16&',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/iscsi/iscsitarget.html?v=6.0.16&',
            require: {  css: ['/apps/iscsi/css/iscsi.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("iSCSI",'iscsiAppWindow')}
        });
    };
    this.iscsiAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('iSCSI');
        UNAS.RemoveMenu('iSCSI');
        UNAS.RemoveAppFromGroups('iSCSI', 'ControlPanel');
        UNAS.RemoveAppFromGroups('iSCSI', 'Help');
        UNAS.RemoveAppFromApps('iSCSI');
    }
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'iSCSI', '', this.iscsiAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'iSCSI', this.iscsiAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Storage', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Storage', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('iSCSI', UNAS._('iSCSI')); //translate menu
        //UNAS.SetShortcutTitle('iSCSI', UNAS._('iSCSI')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('iscsiAppWindow', UNAS._('iSCSI'));
        }
    }
    UNAS.LoadTranslation('/apps/iscsi/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.iscsiAppWindow,this.SystemAccessAppUninstall);
};
new iscsiApp.App(); //Create app